import { http } from '@/utils/http/axios';

/**
 * @description: 邮件日志列表
 */
export function getEmailLogList(params?) {
  return http.request({
    url: '/email/log/page',
    method: 'GET',
    params,
  });
}

/**
 * @description: 根据ID获取详情
 */
export function getEmailLogDetail(id) {
  return http.request({
    url: '/email/log/detail/' + id,
    method: 'get',
  });
}

/**
 * @description: 删除邮件日志
 */
export function emailLogDelete(id) {
  return http.request({
    url: '/email/log/delete/' + id,
    method: 'DELETE',
  });
}

/**
 * @description: 批量删除邮件日志
 */
export function emailLogBatchDelete(data: any) {
  return http.request({
    url: '/email/log/batchDelete',
    method: 'DELETE',
    data,
  });
}
